<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xisc.pm.infra.mapper.PmSteelCastHeatItfMapper">


    <sql id = "BaseSql">
    PSCHI.ITF_ID,
    PSCHI.OP_CODE,
    PSCHI.MAIN_BACKLOG_CODE,
    PSCHI.PONO,
    PSCHI.PONO_STATUS,
    PSCHI.CC_SEQ,
    PSCHI.ST_NO,
    PSCHI.SG_SIGN,
    PSCHI.CAST_LOT_NO,
    PSCHI.CAST_LOT_DIV_NO,
    PSCHI.CAST_LOT_SUM,
    PSCHI.CC_MACH_NO,
    PSCHI.CC_TYPE,
    PSCHI.RESTRAND_FLG,
    PSCHI.BACKLOG_EA,
    PSCHI.REFINE_ROUTE_CODE,
    PSCHI.SMELT_MODE,
    PSCHI.PLAN_TAP_WT,
    PSCHI.APN,
    PSCHI.DEST,
    PSCHI.NEW_TEST_NO,
    PSCHI.STEEL_PLAN_DATE,
    PSCHI.STEEL_APP_DATE,
    PSCHI.PLAN_DATE,
    PSCHI.CC_REQ_TIME,
    PSCHI.CC_REQ_TIME_FLAG,
    PSCHI.HEAT_CONFM_TIME,
    PSCHI.HOT_REQ_TIME,
    PSCHI.HOT_SEND_FLAG,
    PSCHI.HOT_CHARGE_FLAG,
    PSCHI.TD_CHG_FLG,
    PSCHI.PREV_PONO,
    PSCHI.SLAB_REQ,
    PSCHI.FLAME_CLEAN_DIV,
    PSCHI.SHIFT_POINT,
    PSCHI.SHIFT_NO,
    PSCHI.SHIFT_GROUP,
    PSCHI.HOLD_PLANNER,
    PSCHI.HOLD_TIME,
    PSCHI.PLAN_RELEASER,
    PSCHI.REL_TIME,
    PSCHI.SEND_PLANNER,
    PSCHI.SEND_TIME,
    PSCHI.CC_BASE,
    PSCHI.POUR_TIME,
    PSCHI.ADJUST_FLAG,
    PSCHI.ITF_BATCH_ID,
    PSCHI.ITF_STATUS,
    PSCHI.ITF_MESSAGE,
    PSCHI.ITF_RETRY_TIMES,
    PSCHI.TENANT_ID,
    PSCHI.ATTRIBUTE1,
    PSCHI.ATTRIBUTE2,
    PSCHI.ATTRIBUTE3,
    PSCHI.ATTRIBUTE4,
    PSCHI.ATTRIBUTE5,
    PSCHI.creation_date,    PSCHI.created_by,    PSCHI.last_updated_by,    PSCHI.last_update_date,    PSCHI.object_version_number
    </sql>

    <select id = "selectList" resultType = "com.xisc.pm.domain.entity.PmSteelCastHeatItf">
        select
        <include refid = "BaseSql"/>
        from PM_STEEL_CAST_HEAT_ITF PSCHI
        <where>
            <if test="itfId !=null">
                and PSCHI.ITF_ID = #{itfId,jdbcType = INTEGER}
            </if>
        </where>
    </select>
</mapper>

